Merge pull request #14196 from pprindeville/issue#14195
authorRosen Penev <rosenp@gmail.com>
Mon, 14 Dec 2020 21:36:15 +0000 (13:36 -0800)
committerGitHub <noreply@github.com>
Mon, 14 Dec 2020 21:36:15 +0000 (13:36 -0800)
isc-dhcp: seeing crashes when attempting to update dynamic dns

41 files changed:
.github/workflows/multi-arch-test-build.yml
devel/autoconf/Makefile
lang/node-javascript-obfuscator/Makefile
lang/python/python3-version.mk
lang/python/python3/Makefile
libs/cjson/Makefile
libs/glib2/Makefile
libs/glib2/patches/002-no-tests.patch
libs/glib2/patches/003-valgrind.h-mips16-fix.patch
libs/glib2/patches/006-c99.patch [new file with mode: 0644]
libs/libarchive/Makefile
libs/libpng/Makefile
libs/libpng/patches/010-png-exec.patch [new file with mode: 0644]
libs/libpng/patches/200-ccache.patch
libs/pugixml/Makefile
libs/spdlog/Makefile
libs/uci2/Makefile [new file with mode: 0644]
mail/alpine/Makefile
multimedia/gerbera/Makefile
net/curl/Makefile
net/curl/patches/001-openssl-acknowledge-SRP-disabling-in-configure-properly.patch [deleted file]
net/i2pd/Makefile
net/i2pd/patches/010-config.patch
net/i2pd/patches/020-x86.patch [new file with mode: 0644]
net/libreswan/Makefile
net/mosquitto/Makefile
net/mosquitto/patches/50-strip-host-includes-m_ctrl.patch [deleted file]
net/subversion/Makefile
utils/augeas/Makefile
utils/collectd/Makefile
utils/collectd/patches/930-dhcpleases-add-dhcpleases-plugin.patch [new file with mode: 0644]
utils/hwinfo/Makefile
utils/hwinfo/patches/0-hardcoding-version
utils/hwinfo/patches/1-remove_libx8emu_dependency
utils/hwinfo/patches/2-enable-hw-ids-and-disable-generation-of-tiny-hwinfo-headers
utils/hwinfo/patches/3-assorted-Makefile-butchery
utils/lcd4linux/Makefile
utils/lcd4linux/files/lcd4linux.init
utils/prometheus-node-exporter-lua/Makefile
utils/prometheus-node-exporter-lua/files/usr/lib/lua/prometheus-collectors/snmp6.lua [new file with mode: 0644]
utils/rpcd-mod-lxc/Makefile

index e1bb12d5c16e374c429da37f6aed317a70c728e6..3f8a564a62e9e3e7b83506d9b4dba312f1182442 100644 (file)
@@ -24,7 +24,7 @@ jobs:
             runtime_test: true
           - arch: arm_cortex-a15_neon-vfpv4
             runtime_test: true
-          - arch: i386_pentium4
+          - arch: i386_pentium-mmx
             runtime_test: true
           - arch: x86_64
             runtime_test: true
index 911b4d0358ec4f5354e1859e1044a291160ee391..c7a9d757712f9b8f74d2effa19e205fb2f769940 100644 (file)
@@ -8,21 +8,21 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=autoconf
-PKG_VERSION:=2.69
-PKG_RELEASE:=3
+PKG_VERSION:=2.70
+PKG_RELEASE:=1
 
 PKG_SOURCE_URL:=@GNU/autoconf
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
-PKG_HASH:=64ebcec9f8ac5b2487125a86a7760d2591ac9e1d3dbd59489633f9de62a57684
+PKG_HASH:=fa9e227860d9d845c0a07f63b88c8d7a2ae1aa2345fb619384bb8accc19fecc6
+
 PKG_MAINTAINER:=Heinrich Schuchardt <xypron.glpk@gmx.de>
 PKG_LICENSE:=GPL-3.0-or-later
 
 PKG_INSTALL:=1
+PKG_BUILD_PARALLEL:=1
 
 include $(INCLUDE_DIR)/package.mk
 
-CONFIGURE_VARS += M4=m4 EMACS=no
-
 define Package/autoconf
   SECTION:=devel
   CATEGORY:=Development
@@ -37,10 +37,7 @@ define Package/autoconf/description
   automatically configure software source code packages.
 endef
 
-define Build/Install
-       $(SED) 's/@PERL@/\/usr\/bin\/perl/g' $(PKG_BUILD_DIR)/bin/Makefile.in
-       $(call Build/Install/Default)
-endef
+CONFIGURE_VARS += M4=m4 EMACS=no
 
 define Package/autoconf/install
        $(INSTALL_DIR) $(1)/usr/bin
index 275f1819948af1cfa68527242079aa5c83fba7a6..c8f755060cc3ac0a819137ca17b2f1b5365564a1 100644 (file)
@@ -6,12 +6,12 @@ include $(TOPDIR)/rules.mk
 
 PKG_NPM_NAME:=javascript-obfuscator
 PKG_NAME:=node-$(PKG_NPM_NAME)
-PKG_VERSION:=1.9.0
+PKG_VERSION:=2.9.4
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NPM_NAME)-$(PKG_VERSION).tgz
 PKG_SOURCE_URL:=https://registry.npmjs.org/$(PKG_NPM_NAME)/-/
-PKG_HASH:=f3e951167cc56c6be2f82fa1c767ee9d28c30d75585c98fb10a57fa73219e8c1
+PKG_HASH:=db443ed7c07a7a111352dac4aa7c6edd7969f97386f37c1cfe884d5a8c5f5408
 
 PKG_BUILD_DEPENDS:=node/host
 HOST_BUILD_PARALLEL:=1
index b1f14131f4cc1f32bf1ff2302c0b710a62d54cdb..73299ca9833737e32826e03e14daea8802262775 100644 (file)
@@ -8,7 +8,7 @@
 # Note: keep in sync with setuptools & pip
 PYTHON3_VERSION_MAJOR:=3
 PYTHON3_VERSION_MINOR:=9
-PYTHON3_VERSION_MICRO:=0
+PYTHON3_VERSION_MICRO:=1
 
 PYTHON3_VERSION:=$(PYTHON3_VERSION_MAJOR).$(PYTHON3_VERSION_MINOR)
 
index 0388a78281d7c654bdf9a3ec96894fe7275124ae..99e71d383fd67e8d822449fc0434e125ab6cbeb1 100644 (file)
@@ -11,12 +11,12 @@ include $(TOPDIR)/rules.mk
 include ../python3-version.mk
 
 PKG_NAME:=python3
-PKG_RELEASE:=2
+PKG_RELEASE:=1
 PKG_VERSION:=$(PYTHON3_VERSION).$(PYTHON3_VERSION_MICRO)
 
 PKG_SOURCE:=Python-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=https://www.python.org/ftp/python/$(PKG_VERSION)
-PKG_HASH:=9c73e63c99855709b9be0b3cc9e5b072cb60f37311e8c4e50f15576a0bf82854
+PKG_HASH:=991c3f8ac97992f3d308fefeb03a64db462574eadbff34ce8bc5bb583d9903ff
 
 PKG_MAINTAINER:=Alexandru Ardelean <ardeleanalex@gmail.com>, Jeffery To <jeffery.to@gmail.com>
 PKG_LICENSE:=Python/2.0
index 4ba327b761b65c39e3bd67541949a68af526a25f..9aff81c1892421284a8eff45b2bba7a953a71e33 100644 (file)
@@ -4,7 +4,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=cJSON
 PKG_VERSION:=1.7.14
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/DaveGamble/cJSON/tar.gz/v$(PKG_VERSION)?
@@ -39,8 +39,8 @@ CMAKE_OPTIONS += -DENABLE_CJSON_TEST=OFF
 define Build/InstallDev
        $(INSTALL_DIR) $(1)/usr/lib/pkgconfig
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/libcjson.pc $(1)/usr/lib/pkgconfig
-       $(INSTALL_DIR) $(1)/usr/include
-       $(CP) $(PKG_INSTALL_DIR)/usr/include/cjson/cJSON.h $(1)/usr/include/
+       $(INSTALL_DIR) $(1)/usr/include/cjson
+       $(CP) $(PKG_INSTALL_DIR)/usr/include/cjson/cJSON.h $(1)/usr/include/cjson
        $(INSTALL_DIR) $(1)/usr/lib
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/libcjson.so* $(1)/usr/lib/
 endef
index 40ef6f2ee382e12c8d1fff6fe1e077d1d8b05fa9..df3a5d600e92a708db501fcf466648e62f853ee1 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=glib2
 PKG_VERSION:=2.66.3
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=glib-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=@GNOME/glib/2.66
index 31fece96517cb67fa6883ac07d3510266e9ba498..fbd35b7762cb5f352f05291f306e2c765e12da86 100644 (file)
@@ -1,6 +1,6 @@
 --- a/meson.build
 +++ b/meson.build
-@@ -94,7 +94,7 @@ installed_tests_template = files('template.test.in')
+@@ -94,7 +94,7 @@ installed_tests_template = files('templa
  installed_tests_template_tap = files('template-tap.test.in')
  
  # Don’t build the tests unless we can run them (either natively, in an exe wrapper, or by installing them for later use)
index 41b3f20670b6c55994b889909fc9444bf645f699..d0c5c80394ea14b72c5b672701af8ccebfadcebd 100644 (file)
@@ -1,5 +1,5 @@
---- a/glib/valgrind.h  2019-12-12 14:53:26.000200499 +0100
-+++ b/glib/valgrind.h  2019-12-12 14:49:45.056163300 +0100
+--- a/glib/valgrind.h
++++ b/glib/valgrind.h
 @@ -158,7 +158,7 @@
  #  define PLAT_s390x_linux 1
  #elif defined(__linux__) && defined(__mips__) && (__mips==64)
diff --git a/libs/glib2/patches/006-c99.patch b/libs/glib2/patches/006-c99.patch
new file mode 100644 (file)
index 0000000..60db223
--- /dev/null
@@ -0,0 +1,11 @@
+--- a/meson.build
++++ b/meson.build
+@@ -923,7 +923,7 @@ if host_system == 'windows' and (cc.get_
+   glib_conf.set('HAVE_C99_SNPRINTF', false)
+   glib_conf.set('HAVE_C99_VSNPRINTF', false)
+   glib_conf.set('HAVE_UNIX98_PRINTF', false)
+-elif not cc_can_run and host_system in ['ios', 'darwin']
++elif true
+   # All these are true when compiling natively on macOS, so we should use good
+   # defaults when building for iOS and tvOS.
+   glib_conf.set('HAVE_C99_SNPRINTF', true)
index 085fca2d2fbe7bb90707a622b7a916063ee60de4..43a0db493647b8bb3b5efea4dfa1f1405e7731d5 100644 (file)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=libarchive
-PKG_VERSION:=3.4.3
-PKG_RELEASE:=2
+PKG_VERSION:=3.5.0
+PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=https://www.libarchive.org/downloads
-PKG_HASH:=0bfc3fd40491768a88af8d9b86bf04a9e95b6d41a94f9292dbc0ec342288c05f
+PKG_HASH:=245bff9d17e78986bf9716eb887e3bc731d7fd8e5d04efebb8bb1e1c39a3a354
 
 PKG_MAINTAINER:=Johannes Morgenroth <morgenroth@ibr.cs.tu-bs.de>
 PKG_LICENSE:=BSD-2-Clause
index 426fe57c7dacd197ac6d8783b1991f82e921d05b..9469c101d6e8267100edccec5fac55ff1ac7006b 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=libpng
 PKG_VERSION:=1.6.37
-PKG_RELEASE:=8
+PKG_RELEASE:=9
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=@SF/libpng
@@ -38,14 +38,13 @@ CMAKE_OPTIONS += \
        -DPNG_BUILD_ZLIB=ON \
        -DPNG_SHARED=ON \
        -DPNG_STATIC=ON \
+       -DPNG_EXECUTABLES=OFF \
        -DPNG_TESTS=OFF \
        -DPNG_FRAMEWORK=OFF \
        -DPNG_DEBUG=OFF \
        -DPNG_HARDWARE_OPTIMIZATIONS=O$(if $(findstring powerpc,$(CONFIG_ARCH))$(findstring mipsel,$(CONFIG_ARCH)),FF,N) \
        -Dld-version-script=OFF
 
-TARGET_LDFLAGS += -lz
-
 define Build/InstallDev
        $(call Build/InstallDev/cmake,$(1))
        $(SED) 's,^\(prefix\|exec_prefix\)=.*,\1=$(STAGING_DIR)/usr,g' $(1)/usr/bin/libpng{,16}-config
diff --git a/libs/libpng/patches/010-png-exec.patch b/libs/libpng/patches/010-png-exec.patch
new file mode 100644 (file)
index 0000000..43bfa0a
--- /dev/null
@@ -0,0 +1,38 @@
+From 28c0f8895e4ac270b56b5c7e8089dd2417bc4e3c Mon Sep 17 00:00:00 2001
+From: Alex Gaynor <alex.gaynor@gmail.com>
+Date: Sun, 20 May 2018 18:46:32 -0400
+Subject: [PATCH] cmake: Add an option to enable/disable building of
+ executables
+
+Add the CMake option PNG_EXECUTABLES (on by default) in order to
+allow or disallow the building of non-essential executable programs
+associated with libpng.
+
+Contributed-by: Alex Gaynor <alex.gaynor@gmail.com>
+Contributed-by: Cosmin Truta <ctruta@gmail.com>
+Signed-off-by: Cosmin Truta <ctruta@gmail.com>
+---
+ CMakeLists.txt | 6 ++++--
+ 1 file changed, 4 insertions(+), 2 deletions(-)
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -53,7 +53,8 @@ endif()
+ # COMMAND LINE OPTIONS
+ option(PNG_SHARED "Build shared lib" ON)
+ option(PNG_STATIC "Build static lib" ON)
+-option(PNG_TESTS  "Build libpng tests" ON)
++option(PNG_EXECUTABLES "Build libpng executables" ON)
++option(PNG_TESTS "Build libpng tests" ON)
+ # Many more configuration options could be added here
+ option(PNG_FRAMEWORK "Build OS X framework" OFF)
+@@ -747,7 +748,7 @@ if(PNG_TESTS AND PNG_SHARED)
+   png_add_test(NAME pngimage-full COMMAND pngimage OPTIONS --exhaustive --list-combos --log FILES ${PNGSUITE_PNGS})
+ endif()
+-if(PNG_SHARED)
++if(PNG_SHARED AND PNG_EXECUTABLES)
+   add_executable(pngfix ${pngfix_sources})
+   target_link_libraries(pngfix png)
+   set(PNG_BIN_TARGETS pngfix)
index 25de3294764ac1f7d0f31137aab52a1e14851df3..ec24bf27816fa79de01b556a275f1b0a4bdf42ff 100644 (file)
@@ -8,7 +8,7 @@
  set(CMAKE_C_FLAGS @CMAKE_C_FLAGS@)
  set(INCDIR "@CMAKE_CURRENT_BINARY_DIR@")
  set(PNG_PREFIX "@PNG_PREFIX@")
-@@ -58,7 +59,7 @@ if ("${INPUTEXT}" STREQUAL ".c" AND "${OUTPUTEXT}" STREQUAL ".out")
+@@ -58,7 +59,7 @@ if ("${INPUTEXT}" STREQUAL ".c" AND "${O
      set(PNG_PREFIX_DEF "-DPNG_PREFIX=${PNG_PREFIX}")
    endif()
  
index 7fcfed567f5166d852901103b98e9b5183fc2820..0bd49e128676e998ebe0ac672b2a2ed754418e7d 100644 (file)
@@ -6,12 +6,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=pugixml
-PKG_VERSION:=1.10
-PKG_RELEASE:=2
+PKG_VERSION:=1.11.1
+PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://github.com/zeux/pugixml/releases/download/v$(PKG_VERSION)
-PKG_HASH:=55f399fbb470942410d348584dc953bcaec926415d3462f471ef350f29b5870a
+PKG_HASH:=9dce9f0a3756c5ab84ab7466c99972d030021d81d674f5d38b9e30e9a3ec4922
 
 PKG_MAINTAINER:=
 PKG_LICENSE:=MIT
index 821d7104648359989886795e016f79b86ab864a2..63f8382a79b043ff2ac8e2747fb88573a1656bb6 100644 (file)
@@ -6,12 +6,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=spdlog
-PKG_VERSION:=1.8.1
+PKG_VERSION:=1.8.2
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/gabime/spdlog/tar.gz/v$(PKG_VERSION)?
-PKG_HASH:=5197b3147cfcfaa67dd564db7b878e4a4b3d9f3443801722b3915cdeced656cb
+PKG_HASH:=e20e6bd8f57e866eaf25a5417f0a38a116e537f1a77ac7b5409ca2b180cec0d5
 
 PKG_MAINTAINER:=
 PKG_LICENSE:=MIT
diff --git a/libs/uci2/Makefile b/libs/uci2/Makefile
new file mode 100644 (file)
index 0000000..1a60d19
--- /dev/null
@@ -0,0 +1,52 @@
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=uci2
+PKG_VERSION:=1.0
+PKG_RELEASE:=1
+
+PKG_SOURCE_URL:=https://github.com/sartura/uci2.git
+PKG_SOURCE_PROTO:=git
+PKG_SOURCE_VERSION:=2d082b587d32ce019fd94317026911e9b51f90dd
+PKG_MIRROR_HASH:=965339e85ff60724fc25ef812c117d203df63055821aa4d0006cc7f59c421b5b
+
+PKG_MAINTAINER:=Jakov Petrina <jakov.petrina@sartura.hr>
+PKG_LICENSE:=BSD-3-Clause
+PKG_LICENSE_FILES:=LICENSE
+
+PKG_BUILD_PARALLEL:=1
+
+include $(INCLUDE_DIR)/package.mk
+include $(INCLUDE_DIR)/cmake.mk
+
+define Package/libuci2/Default
+       TITLE:=AST-based C parser library for UCI
+       URL:=https://github.com/sartura/uci2
+endef
+
+define Package/libuci2
+       $(call Package/libuci2/Default)
+       SECTION:=libs
+       CATEGORY:=Libraries
+endef
+
+define Package/libuci2/description
+UCI2 is a C library that provides an alternative UCI parser with an Abstract
+Syntax Tree (AST) representation of configuration files.
+endef
+
+CMAKE_OPTIONS += \
+       -DENABLE_TESTS=OFF
+
+define Build/InstallDev
+       $(INSTALL_DIR) $(1)/usr/include
+       $(CP) $(PKG_INSTALL_DIR)/usr/include/{libuci2,uci2_ast}.h $(1)/usr/include/
+       $(INSTALL_DIR) $(1)/usr/lib
+       $(CP) $(PKG_INSTALL_DIR)/usr/lib/libuci2.so $(1)/usr/lib/
+endef
+
+define Package/libuci2/install
+       $(INSTALL_DIR) $(1)/usr/lib
+       $(CP) $(PKG_INSTALL_DIR)/usr/lib/libuci2.so $(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,libuci2))
index ec9d1e9e7783a8529b33407d419e68b52077ef42..909e659c26c562ec2a8460e8f86eb7dc1e098bc1 100644 (file)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=alpine
-PKG_VERSION:=2.23
-PKG_RELEASE:=2
+PKG_VERSION:=2.24
+PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=http://alpine.x10host.com/alpine/release/src
-PKG_HASH:=793a61215c005b5fcffb48f642f125915276b7ec7827508dd9e83d4c4da91f7b
+PKG_HASH:=651a9ffa0a29e2b646a0a6e0d5a2c8c50f27a07a26a61640b7c783d06d0abcef
 
 PKG_MAINTAINER:=Antti Seppälä <a.seppala@gmail.com>
 PKG_LICENSE:=Apache-2.0
@@ -55,6 +55,7 @@ endef
 define Package/alpine-nossl
 $(call Package/alpine/Default)
   TITLE+= (without OpenSSL support)
+  DEPENDS+= @BROKEN
   VARIANT:=nossl
 endef
 
index d4be726264e5c5c799edb4e004821833bf5bbec2..c84e620d077456d31d082c83ef9128e2556d7325 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=gerbera
 PKG_VERSION:=1.6.4
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/gerbera/gerbera/tar.gz/v$(PKG_VERSION)?
index 6023811d99e7385fe2ba00fecf6718b8037a99ae..cf6cdc30f990a2aadbb9b516ea200c94e918f132 100644 (file)
@@ -8,15 +8,15 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=curl
-PKG_VERSION:=7.73.0
-PKG_RELEASE:=2
+PKG_VERSION:=7.74.0
+PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=https://dl.uxnr.de/mirror/curl/ \
        https://curl.mirror.anstey.ca/ \
        https://curl.askapache.com/download/ \
        https://curl.haxx.se/download/
-PKG_HASH:=7c4c7ca4ea88abe00fea4740dcf81075c031b1d0bb23aff2d5efde20a3c2408a
+PKG_HASH:=999d5f2c403cf6e25d58319fdd596611e455dd195208746bc6e6d197a77e878b
 
 PKG_LICENSE:=MIT
 PKG_LICENSE_FILES:=COPYING
diff --git a/net/curl/patches/001-openssl-acknowledge-SRP-disabling-in-configure-properly.patch b/net/curl/patches/001-openssl-acknowledge-SRP-disabling-in-configure-properly.patch
deleted file mode 100644 (file)
index 1309316..0000000
+++ /dev/null
@@ -1,70 +0,0 @@
-From a3d5b199f96a108f38bd1f6adaf3a7585f721d02 Mon Sep 17 00:00:00 2001
-From: Daniel Stenberg <daniel@haxx.se>
-Date: Thu, 15 Oct 2020 22:56:13 +0200
-Subject: [PATCH] openssl: acknowledge SRP disabling in configure properly
-
-Follow-up to 68a513247409
-
-Use a new separate define that is the combination of both
-HAVE_OPENSSL_SRP and USE_TLS_SRP: USE_OPENSSL_SRP
-
-Bug: https://curl.haxx.se/mail/lib-2020-10/0037.html
-
-Closes #6094
----
- lib/vtls/openssl.c | 16 ++++++++++++----
- 1 file changed, 12 insertions(+), 4 deletions(-)
-
---- a/lib/vtls/openssl.c
-+++ b/lib/vtls/openssl.c
-@@ -225,6 +225,14 @@
-   "ALL:!EXPORT:!EXPORT40:!EXPORT56:!aNULL:!LOW:!RC4:@STRENGTH"
- #endif
-+#ifdef HAVE_OPENSSL_SRP
-+/* the function exists */
-+#ifdef USE_TLS_SRP
-+/* the functionality is not disabled */
-+#define USE_OPENSSL_SRP
-+#endif
-+#endif
-+
- struct ssl_backend_data {
-   /* these ones requires specific SSL-types */
-   SSL_CTX* ctx;
-@@ -2471,7 +2479,7 @@ static CURLcode ossl_connect_step1(struc
- #endif
- #endif
-   const long int ssl_version = SSL_CONN_CONFIG(version);
--#ifdef HAVE_OPENSSL_SRP
-+#ifdef USE_OPENSSL_SRP
-   const enum CURL_TLSAUTH ssl_authtype = SSL_SET_OPTION(authtype);
- #endif
-   char * const ssl_cert = SSL_SET_OPTION(primary.clientcert);
-@@ -2516,7 +2524,7 @@ static CURLcode ossl_connect_step1(struc
-     failf(data, OSSL_PACKAGE " was built without SSLv2 support");
-     return CURLE_NOT_BUILT_IN;
- #else
--#ifdef HAVE_OPENSSL_SRP
-+#ifdef USE_OPENSSL_SRP
-     if(ssl_authtype == CURL_TLSAUTH_SRP)
-       return CURLE_SSL_CONNECT_ERROR;
- #endif
-@@ -2529,7 +2537,7 @@ static CURLcode ossl_connect_step1(struc
-     failf(data, OSSL_PACKAGE " was built without SSLv3 support");
-     return CURLE_NOT_BUILT_IN;
- #else
--#ifdef HAVE_OPENSSL_SRP
-+#ifdef USE_OPENSSL_SRP
-     if(ssl_authtype == CURL_TLSAUTH_SRP)
-       return CURLE_SSL_CONNECT_ERROR;
- #endif
-@@ -2797,7 +2805,7 @@ static CURLcode ossl_connect_step1(struc
-   }
- #endif
--#ifdef HAVE_OPENSSL_SRP
-+#ifdef USE_OPENSSL_SRP
-   if(ssl_authtype == CURL_TLSAUTH_SRP) {
-     char * const ssl_username = SSL_SET_OPTION(username);
index 2bcc74042d2e8c8b8ad6506f6e8f083600734661..a16ba91509cd4af82301a22ccfef9488b28847ab 100644 (file)
@@ -10,7 +10,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=i2pd
 PKG_VERSION:=2.35.0
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/PurpleI2P/i2pd/tar.gz/$(PKG_VERSION)?
index be0584a4cb3cae2bfd7198a1da42876223461cc0..c0d9c44d55809b721412dc0d36d552db0559efa6 100644 (file)
@@ -1,5 +1,3 @@
-diff --git a/contrib/i2pd.conf b/contrib/i2pd.conf
-index 5ef39bc9..8d5034eb 100644
 --- a/contrib/i2pd.conf
 +++ b/contrib/i2pd.conf
 @@ -8,12 +8,12 @@
diff --git a/net/i2pd/patches/020-x86.patch b/net/i2pd/patches/020-x86.patch
new file mode 100644 (file)
index 0000000..6e407f1
--- /dev/null
@@ -0,0 +1,32 @@
+From ca3b8191510c1006d031d02c50edcf6b4f6a6e8f Mon Sep 17 00:00:00 2001
+From: R4SAS <r4sas@i2pmail.org>
+Date: Thu, 10 Dec 2020 18:32:41 +0300
+Subject: [PATCH] [avx] check ig c++ target supports AVX
+
+Signed-off-by: R4SAS <r4sas@i2pmail.org>
+---
+ libi2pd/Crypto.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/libi2pd/Crypto.cpp
++++ b/libi2pd/Crypto.cpp
+@@ -638,7 +638,7 @@ namespace crypto
+       {
+               uint64_t buf[256];
+               uint64_t hash[12]; // 96 bytes
+-#if defined(__x86_64__) || defined(__i386__)
++#if (defined(__x86_64__) || defined(__i386__)) && defined(__AVX__) // not all X86 targets supports AVX (like old Pentium, see #1600)
+               if(i2p::cpu::avx)
+               {
+                       __asm__
+--- a/libi2pd/Identity.cpp
++++ b/libi2pd/Identity.cpp
+@@ -828,7 +828,7 @@ namespace data
+       XORMetric operator^(const IdentHash& key1, const IdentHash& key2)
+       {
+               XORMetric m;
+-#if defined(__x86_64__) || defined(__i386__)
++#if (defined(__x86_64__) || defined(__i386__)) && defined(__AVX__) // not all X86 targets supports AVX (like old Pentium, see #1600)
+               if(i2p::cpu::avx)
+               {
+                       __asm__
index 365745e529560df865bceaf977b91029356c8b01..98ba733098dc6ee888958a0da4683c44b4bcc027 100644 (file)
@@ -8,7 +8,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=libreswan
 PKG_VERSION:=4.1
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://download.libreswan.org/
@@ -44,7 +44,7 @@ $(call Package/libreswan/Default)
   DEPENDS:= +IPV6:kmod-ip6-vti +IPV6:kmod-ipsec6 +ip-full +iptables-mod-ipsec \
        +kmod-crypto-aead +kmod-crypto-authenc +kmod-crypto-gcm \
        +kmod-crypto-hash +kmod-crypto-rng +kmod-ip-vti +kmod-ipsec \
-       +kmod-ipsec4 +kmod-ipt-ipsec +libevent2 +libevent2-pthreads \
+       +kmod-ipsec4 +kmod-ipt-ipsec +kmod-xfrm-interface +libevent2 +libevent2-pthreads \
        +libldns +librt +libunbound +nss-utils +nspr +libcap-ng
   PROVIDES:=openswan
   CONFLICTS:=strongswan
@@ -80,6 +80,7 @@ MAKE_FLAGS+= \
     USE_LIBCAP_NG=true \
     USE_SYSTEMD_WATCHDOG=false \
     USE_SECCOMP=false\
+    USE_XFRM_INTERFACE_IFLA_HEADER=false \
     PREFIX="/usr" \
     FINALRUNDIR="/var/run/pluto" \
     FINALNSSDIR="/etc/ipsec.d" \
index df9484da594e91d3a06fb165b95fd44717d95991..e934c7013071f515e952ca444000ea6bf52458aa 100644 (file)
@@ -9,7 +9,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=mosquitto
-PKG_VERSION:=2.0.0
+PKG_VERSION:=2.0.2
 PKG_RELEASE:=1
 PKG_LICENSE:=EPL-2.0
 PKG_LICENSE_FILES:=LICENSE.txt
@@ -17,7 +17,7 @@ PKG_CPE_ID:=cpe:/a:eclipse:mosquitto
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://mosquitto.org/files/source/
-PKG_HASH:=ca8c21d1b04037df27639de9ea8f82fa73e1cbd24e83e6394ed67b537c4b6d86
+PKG_HASH:=5ea9ebf0a5ed3e95cecd75f30ebcf84f054584eff5617ac0f2e60428d3ad9707
 
 include $(INCLUDE_DIR)/package.mk
 
diff --git a/net/mosquitto/patches/50-strip-host-includes-m_ctrl.patch b/net/mosquitto/patches/50-strip-host-includes-m_ctrl.patch
deleted file mode 100644 (file)
index 603d5d0..0000000
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/apps/mosquitto_ctrl/Makefile b/apps/mosquitto_ctrl/Makefile
-index 59b23596..3a4843bf 100644
---- a/apps/mosquitto_ctrl/Makefile
-+++ b/apps/mosquitto_ctrl/Makefile
-@@ -8,8 +8,7 @@ else
- LIBMOSQ:=../../lib/libmosquitto.a
- endif
--LOCAL_CPPFLAGS:=-I/usr/include/cjson -I/usr/local/include/cjson -I../mosquitto_passwd
--LOCAL_LDFLAGS:=-L/usr/local/lib
-+LOCAL_CPPFLAGS:=-I../mosquitto_passwd
- OBJS= mosquitto_ctrl.o \
-               client.o \
index d12f1cb9226a7c64fa03a188dfef165c2de6ea4f..68faa591341c9ee3fa166d0926eb91b47d7409d2 100644 (file)
@@ -7,7 +7,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=subversion
 PKG_VERSION:=1.14.0
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE_URL:=@APACHE/subversion
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
@@ -26,7 +26,6 @@ PKG_INSTALL:=1
 include $(INCLUDE_DIR)/package.mk
 include $(INCLUDE_DIR)/nls.mk
 
-
 define Package/subversion/Default
   SECTION:=net
   CATEGORY:=Network
@@ -93,6 +92,8 @@ CONFIGURE_ARGS += \
        --with-utf8proc=internal \
        $(call autoconf_bool,INTL_FULL,nls)
 
+TARGET_LDFLAGS += $(if $(INTL_FULL),-lintl)
+
 define Package/subversion-libs/install
        $(INSTALL_DIR) $(1)/usr/lib
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/libsvn_*.so.* $(1)/usr/lib/
index 80871ac615e29de10219efefb6a74c90a319d215..71e9550748c10261a24bf4d00c250b183d8eaf78 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=augeas
 PKG_VERSION:=1.12.0
-PKG_RELEASE=1
+PKG_RELEASE=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=http://download.augeas.net/
@@ -50,6 +50,9 @@ define Package/augeas-lense/description
   Set of Augeas lenses.
 endef
 
+CONFIGURE_ARGS+= \
+        --without-selinux
+
 define Package/augeas-lenses-tests
   SECTION:=utils
   CATEGORY:=Utilities
index 6c9b6e1eb1d8edf70466d38c739aeabbda5e0a19..01cc944e1029bcbc453560d25c5b1974ca326ee6 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=collectd
 PKG_VERSION:=5.12.0
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
 PKG_SOURCE_URL:=https://collectd.org/files/ \
@@ -144,6 +144,7 @@ COLLECTD_PLUGINS_SELECTED:= \
        csv \
        curl \
        df \
+       dhcpleases \
        disk \
        dns \
        email \
@@ -408,6 +409,7 @@ $(eval $(call BuildPlugin,csv,CSV output,csv,))
 $(eval $(call BuildPlugin,curl,cURL input,curl,+PACKAGE_collectd-mod-curl:libcurl))
 #$(eval $(call BuildPlugin,dbi,relational database input,dbi,+PACKAGE_collectd-mod-dbi:libdbi))
 $(eval $(call BuildPlugin,df,disk space input,df,))
+$(eval $(call BuildPlugin,dhcpleases,show dhcpleases,dhcpleases,))
 $(eval $(call BuildPlugin,disk,disk usage/timing input,disk,))
 $(eval $(call BuildPlugin,dns,DNS traffic input,dns,+PACKAGE_collectd-mod-dns:libpcap))
 $(eval $(call BuildPlugin,email,email output,email,))
diff --git a/utils/collectd/patches/930-dhcpleases-add-dhcpleases-plugin.patch b/utils/collectd/patches/930-dhcpleases-add-dhcpleases-plugin.patch
new file mode 100644 (file)
index 0000000..8db3c1d
--- /dev/null
@@ -0,0 +1,186 @@
+From: Nick Hainke <vincent@systemli.org>
+Date: Mon, 7 Dec 2020 23:07:30 +0100
+Subject: [PATCH] dhcpleases: add dhcpleases plugin
+
+Changelog: dhcpleases: add plugin for counting current dhcp leases
+
+The plugin is useful for the Freifunk Community. Currently, we use
+the exec-plugin. With that dhcpleases plugin we have native collectd
+support to measure this important statistic.
+
+Signed-off-by: Nick Hainke <vincent@systemli.org>
+---
+ Makefile.am          |  6 ++++
+ README               |  3 ++
+ configure.ac         |  2 ++
+ src/collectd.conf.in |  5 +++
+ src/dhcpleases.c     | 83 ++++++++++++++++++++++++++++++++++++++++++++
+ 5 files changed, 99 insertions(+)
+ create mode 100644 src/dhcpleases.c
+
+diff --git a/Makefile.am b/Makefile.am
+index 00947da0..5ee76a00 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -963,6 +963,12 @@ df_la_LDFLAGS = $(PLUGIN_LDFLAGS)
+ df_la_LIBADD = libignorelist.la libmount.la
+ endif
++if BUILD_PLUGIN_DHCPLEASES
++pkglib_LTLIBRARIES += dhcpleases.la
++dhcpleases_la_SOURCES = src/dhcpleases.c
++dhcpleases_la_LDFLAGS = $(PLUGIN_LDFLAGS)
++endif
++
+ if BUILD_PLUGIN_DISK
+ pkglib_LTLIBRARIES += disk.la
+ disk_la_SOURCES = src/disk.c
+diff --git a/README b/README
+index e42e9c24..dd104408 100644
+--- a/README
++++ b/README
+@@ -106,6 +106,9 @@ Features
+       Disk utilization: Sectors read/written, number of read/write actions,
+       average time an IO-operation took to complete.
++    - dhcpleases
++      Collect number of current dhcp leases.
++
+     - dns
+       DNS traffic: Query types, response codes, opcodes and traffic/octets
+       transferred.
+diff --git a/configure.ac b/configure.ac
+index bcfb8cf5..6c2b6574 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -7061,6 +7061,7 @@ AC_PLUGIN([curl_xml],            [$plugin_curl_xml],          [CURL generic xml
+ AC_PLUGIN([dbi],                 [$with_libdbi],              [General database statistics])
+ AC_PLUGIN([dcpmm],               [$with_libpmwapi],           [Intel(R) Optane(TM) DC Persistent Memory performance and health statistics])
+ AC_PLUGIN([df],                  [$plugin_df],                [Filesystem usage statistics])
++AC_PLUGIN([dhcpleases],          [yes],                       [DHCP Leases])
+ AC_PLUGIN([disk],                [$plugin_disk],              [Disk usage statistics])
+ AC_PLUGIN([dns],                 [$with_libpcap],             [DNS traffic analysis])
+ AC_PLUGIN([dpdkevents],          [$plugin_dpdkevents],        [Events from DPDK])
+@@ -7508,6 +7509,7 @@ AC_MSG_RESULT([    curl_xml  . . . . . . $enable_curl_xml])
+ AC_MSG_RESULT([    dbi . . . . . . . . . $enable_dbi])
+ AC_MSG_RESULT([    dcpmm  . . . . . .  . $enable_dcpmm])
+ AC_MSG_RESULT([    df  . . . . . . . . . $enable_df])
++AC_MSG_RESULT([    dhcpleases. . . . . . $enable_dhcpleases])
+ AC_MSG_RESULT([    disk  . . . . . . . . $enable_disk])
+ AC_MSG_RESULT([    dns . . . . . . . . . $enable_dns])
+ AC_MSG_RESULT([    dpdkevents. . . . . . $enable_dpdkevents])
+diff --git a/src/collectd.conf.in b/src/collectd.conf.in
+index 562a55d9..94659e81 100644
+--- a/src/collectd.conf.in
++++ b/src/collectd.conf.in
+@@ -119,6 +119,7 @@
+ #@BUILD_PLUGIN_DBI_TRUE@LoadPlugin dbi
+ #@BUILD_PLUGIN_DCPMM_TRUE@LoadPlugin dcpmm
+ #@BUILD_PLUGIN_DF_TRUE@LoadPlugin df
++#@BUILD_PLUGIN_DHCPLEASES_TRUE@LoadPlugin dhcpleases
+ #@BUILD_PLUGIN_DISK_TRUE@LoadPlugin disk
+ #@BUILD_PLUGIN_DNS_TRUE@LoadPlugin dns
+ #@BUILD_PLUGIN_DPDKEVENTS_TRUE@LoadPlugin dpdkevents
+@@ -689,6 +690,10 @@
+ #     SelectNumericQueryTypes true
+ #</Plugin>
++#<Plugin dhcpleases>
++#     Path "/tmp/dhcp.leases"
++#</Plugin>
++
+ #<Plugin "dpdkevents">
+ #  <EAL>
+ #    Coremask "0x1"
+diff --git a/src/dhcpleases.c b/src/dhcpleases.c
+new file mode 100644
+index 00000000..f43d62bf
+--- /dev/null
++++ b/src/dhcpleases.c
+@@ -0,0 +1,83 @@
++#include <errno.h>
++#include <stdio.h>
++
++#include "utils/common/common.h"
++
++#include "configfile.h"
++#include "plugin.h"
++
++static char *dhcp_lease_file;
++
++static const char *config_keys[] = {
++    "Path",
++};
++static int config_keys_num = STATIC_ARRAY_SIZE(config_keys);
++
++/* copied from ping.c plugin */
++static int config_set_string(const char *name, /* {{{ */
++                             char **var, const char *value) {
++  char *tmp;
++
++  tmp = strdup(value);
++  if (tmp == NULL) {
++    ERROR("dhcpleases plugin: Setting `%s' to `%s' failed: strdup failed: %s", name,
++          value, STRERRNO);
++    return 1;
++  }
++
++  if (*var != NULL)
++    free(*var);
++  *var = tmp;
++  return 0;
++} /* }}} int config_set_string */
++
++static int dhcpleases_config(const char *key, const char *value) {
++  if (strcasecmp(key, "Path") == 0) {
++    int status = config_set_string(key, &dhcp_lease_file, value);
++    if (status != 0)
++      return status;
++  }
++  return 0;
++}
++
++static void dhcpleases_submit(gauge_t counter) {
++  value_list_t vl = VALUE_LIST_INIT;
++  value_t values[] = {
++      {.gauge = counter},
++  };
++
++  vl.values = values;
++  vl.values_len = STATIC_ARRAY_SIZE(values);
++
++  sstrncpy(vl.plugin, "dhcpleases", sizeof(vl.plugin));
++  sstrncpy(vl.type, "count", sizeof(vl.type));
++
++  plugin_dispatch_values(&vl);
++}
++
++static int dhcp_leases_read(void) {
++
++  FILE *fh;
++  char buffer[1024];
++  gauge_t count = 0;
++
++  if ((fh = fopen(dhcp_lease_file, "r")) == NULL) {
++    WARNING("interface plugin: fopen: %s", STRERRNO);
++    return -1;
++  }
++
++  while (fgets(buffer, 1024, fh) != NULL) {
++    count++;
++  }
++  fclose(fh);
++
++  dhcpleases_submit(count);
++
++  return 0;
++}
++
++void module_register(void) {
++  plugin_register_config("dhcpleases", dhcpleases_config, config_keys,
++                         config_keys_num);
++  plugin_register_read("dhcpleases", dhcp_leases_read);
++}
+-- 
+2.29.2
+
index ffa668b0528151217a0449c95a37555101170d7a..4443ad586c19a832d4522c5e0c26d57c21b6caab 100644 (file)
@@ -2,13 +2,14 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=hwinfo
 PKG_VERSION:=21.71
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/openSUSE/hwinfo/tar.gz/$(PKG_VERSION)?
 PKG_HASH:=c4c573eb15cbc10103f5044b485d7e4ff941500ed559743a1c98e6a6deb0ebda
 
 PKG_LICENSE:=GPL-2.0-or-later
+PKG_LICENSE_FILES:=COPYING
 PKG_MAINTAINER:=Alberto Bursi <bobafetthotmail@gmail.com>
 
 PKG_BUILD_DEPENDS:= hwinfo/host
index cf98939f9306736216c06bcd12d821668080f4bd..6986f67961d041a7c46f469a5a0a0b5cefdcce98 100644 (file)
@@ -13,7 +13,7 @@ with hwinfo version changes when updating the package
 -VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
 -endif
 +BRANCH  := master
-+VERSION := $(shell echo 21.7 > VERSION; cat VERSION)
++VERSION := $(shell echo 21.71 > VERSION; cat VERSION)
  PREFIX  := hwinfo-$(VERSION)
  
  include Makefile.common
index b7c4eb4bc09a8f64ce8341f8ac69de193ac3aca7..579dc6b276f158c485adbbb3a85f4b0812a18506 100644 (file)
@@ -5,9 +5,9 @@ to compile this package with this dependency in OpenWrt due to
 host builds and whatnot, we simply remove it and disable this 
 functionality in hwinfo.
 This also saves some space.
---- a/Makefile 
-+++ b/Makefile 
-@@ -25,13 +25,14 @@
+--- a/Makefile
++++ b/Makefile
+@@ -25,13 +25,14 @@ LIBDIR             ?= /usr/lib
  endif
  ULIBDIR               = $(LIBDIR)
  
@@ -28,10 +28,9 @@ This also saves some space.
  
  SHARED_FLAGS  =
  OBJS_NO_TINY  = names.o parallel.o modem.o
-
 --- a/src/hd/bios.c
 +++ b/src/hd/bios.c
-@@ -447,9 +447,10 @@
+@@ -447,9 +447,10 @@ void hd_scan_bios(hd_data_t *hd_data)
        }
      }
  
@@ -45,7 +44,6 @@ This also saves some space.
  
      if(vbe->ok) {
        bt->vbe_ver = vbe->version;
-
 --- a/src/hd/bios.h
 +++ b/src/hd/bios.h
 @@ -5,4 +5,5 @@
@@ -55,7 +53,6 @@ This also saves some space.
 -void get_vbe_info(hd_data_t *hd_data, vbe_info_t *vbe);
 +//disabled as we removed the lib needed by this function
 +//void get_vbe_info(hd_data_t *hd_data, vbe_info_t *vbe);
-
 --- a/src/hd/mdt.c
 +++ b/src/hd/mdt.c
 @@ -1,4 +1,6 @@
index 3eb8df952844a8fcde03519a945a225a293e96fc..6aa9c806cfe1d96c6c144a011a6e1668dd0b00a9 100644 (file)
@@ -6,7 +6,7 @@ on my OpenSUSE system, so I guess that it is just legacy stuff that bitrotted.
 
 --- a/src/ids/Makefile
 +++ b/src/ids/Makefile
-@@ -17,47 +17,47 @@
+@@ -17,47 +17,47 @@ IDFILES    += src/bus src/class src/extra s
          src/usb src/usb2 src/isapnp src/monitor src/camera src/tv2 src/tv src/dvb2 src/dvb \
          src/chipcard src/modem src/pcmcia src/s390 src/sdio
  
index 711c40bede6c3a5091bcc6ca10b32ba1453f1bd0..03bc4a6693a6b249b4caa57457f3cf69ab34a03a 100644 (file)
@@ -4,8 +4,8 @@ Some makefile modifications to:
 >>disable the install functionality as we take the files we need with OpenWrt build system
 >>changes to all makefiles to respect the compile flags
 
---- a/Makefile 
-+++ b/Makefile 
+--- a/Makefile
++++ b/Makefile
 @@ -1,6 +1,6 @@
  TOPDIR                = $(CURDIR)
  SUBDIRS               = src
@@ -14,7 +14,7 @@ Some makefile modifications to:
  CLEANFILES    = hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
  LIBS          = -lhd
  SLIBS         = -lhd -luuid
-@@ -18,11 +18,11 @@
+@@ -18,11 +18,11 @@ PREFIX  := hwinfo-$(VERSION)
  
  include Makefile.common
  
@@ -30,7 +30,7 @@ Some makefile modifications to:
  ULIBDIR               = $(LIBDIR)
  
  # this library has been removed from the code, disabling it here too
-@@ -39,13 +39,13 @@
+@@ -39,13 +39,13 @@ OBJS_NO_TINY       = names.o parallel.o modem.
  
  .PHONY:       fullstatic static shared tiny doc diet tinydiet uc tinyuc
  
@@ -49,7 +49,7 @@ Some makefile modifications to:
  
  hwscan: hwscan.o $(LIBHD)
        $(CC) hwscan.o $(LDFLAGS) $(CFLAGS) $(LIBS) -o $@
-@@ -99,28 +99,29 @@
+@@ -99,28 +99,29 @@ doc:
        @cd doc ; doxygen libhd.doxy
  
  install:
@@ -101,7 +101,6 @@ Some makefile modifications to:
  
  archive: changelog
        @if [ ! -d .git ] ; then echo no git repo ; false ; fi
-
 --- a/Makefile.common
 +++ b/Makefile.common
 @@ -1,28 +1,26 @@
@@ -147,7 +146,7 @@ Some makefile modifications to:
  SHARED_FLAGS  = -fPIC
  
  LDFLAGS       += -Lsrc
-@@ -36,7 +34,7 @@
+@@ -36,7 +34,7 @@ LIBHD_NAME   = $(LIBHD_BASE).so.$(LIBHD_VE
  LIBHD_SO      = $(TOPDIR)/src/$(LIBHD_NAME)
  LIBHD_D               = $(TOPDIR)/src/.lib
  
@@ -156,10 +155,9 @@ Some makefile modifications to:
  
  .PHONY: all distclean clean install subdirs
  
-
 --- a/src/Makefile
 +++ b/src/Makefile
-@@ -12,7 +12,7 @@
+@@ -12,7 +12,7 @@ include $(TOPDIR)/Makefile.common
  #endif
  
  $(LIBHD): $(OBJS)
@@ -170,16 +168,15 @@ Some makefile modifications to:
  ifdef SHARED_FLAGS
 --- a/src/hd/Makefile
 +++ b/src/hd/Makefile
-@@ -12,4 +12,4 @@
-       @perl -pi -e "s/define\s+HD_MINOR_VERSION\s+\d+/define HD_MINOR_VERSION\t$(LIBHD_MINOR_VERSION)/" $@
+@@ -8,4 +8,4 @@ version.h: $(TOPDIR)/VERSION
+       @echo "#define HD_VERSION_STRING \"`cat $(TOPDIR)/VERSION`\"" >$@
  
  $(LIBHD_D): $(OBJS)
 -      ar r $(LIBHD) $?
 +      $(AR) r $(LIBHD) $?
 --- a/src/isdn/Makefile
 +++ b/src/isdn/Makefile
-@@ -5,5 +5,5 @@
+@@ -5,5 +5,5 @@ SUBDIRS = cdb
  include $(TOPDIR)/Makefile.common
  
  $(LIBHD_D): $(OBJS)
@@ -188,10 +185,9 @@ Some makefile modifications to:
  
 --- a/src/smp/Makefile
 +++ b/src/smp/Makefile
-@@ -4,4 +4,4 @@
+@@ -4,4 +4,4 @@ TARGETS        = $(LIBHD_D)
  include $(TOPDIR)/Makefile.common
  
  $(LIBHD_D): $(OBJS)
 -      ar r $(LIBHD) $?
 +      $(AR) r $(LIBHD) $?
-
index 165958ea1afaafaaa59f5aaca97b219d7568023d..20eac0748af9db77f5fe429ec6d32cc96b3a3253 100644 (file)
@@ -8,7 +8,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=lcd4linux
-PKG_RELEASE:=6
+PKG_RELEASE:=7
 
 PKG_SOURCE_PROTO:=git
 PKG_SOURCE_URL:=https://github.com/feckert/lcd4linux
index 25033f382bf92cee8f66d52aede99bf3bbd89be9..a5e6a9db45340bcaa82fc90ae437fc02f27c5722 100644 (file)
@@ -2,14 +2,19 @@
 # Copyright (C) 2007-2015 OpenWrt.org
 
 START=98
+USE_PROCD=1
 
-SERVICE_USE_PID=1
+PROG="/usr/bin/lcd4linux"
+CONFIGFILE="/etc/lcd4linux.conf"
 
-start() {
-       service_start /usr/bin/lcd4linux -o /tmp/lcd4linux.png -q
+start_service() {
+       [ -f /etc/lcd4linux.conf ] || return 1
+       procd_open_instance
+       procd_set_param command "$PROG"
+       procd_append_param command -F
+       procd_append_param command -q
+       procd_append_param command -o /tmp/lcd4linux.png
+       procd_append_param command -f "$CONFIGFILE"
+       procd_set_param file "$CONFIGFILE"
+       procd_close_instance
 }
-
-stop() {
-       service_stop /usr/bin/lcd4linux
-}
-
index 877ec234b3a2ac5828dc4c4c5ca179c0ba859f2b..d02351bbcb3b4041a3a36927f224a42b7443b8a6 100644 (file)
@@ -4,7 +4,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=prometheus-node-exporter-lua
-PKG_VERSION:=2020.10.29
+PKG_VERSION:=2020.12.07
 PKG_RELEASE:=1
 
 PKG_MAINTAINER:=Etienne CHAMPETIER <champetier.etienne@gmail.com>
@@ -199,6 +199,17 @@ define Package/prometheus-node-exporter-lua-wifi_stations/install
        $(INSTALL_BIN) ./files/usr/lib/lua/prometheus-collectors/wifi_stations.lua $(1)/usr/lib/lua/prometheus-collectors/
 endef
 
+define Package/prometheus-node-exporter-lua-snmp6
+  $(call Package/prometheus-node-exporter-lua/Default)
+  TITLE+= (snmp6 collector)
+  DEPENDS:=prometheus-node-exporter-lua +libubus-lua
+endef
+
+define Package/prometheus-node-exporter-lua-snmp6/install
+       $(INSTALL_DIR) $(1)/usr/lib/lua/prometheus-collectors
+       $(INSTALL_BIN) ./files/usr/lib/lua/prometheus-collectors/snmp6.lua $(1)/usr/lib/lua/prometheus-collectors/
+endef
+
 $(eval $(call BuildPackage,prometheus-node-exporter-lua))
 $(eval $(call BuildPackage,prometheus-node-exporter-lua-bmx6))
 $(eval $(call BuildPackage,prometheus-node-exporter-lua-bmx7))
@@ -213,3 +224,4 @@ $(eval $(call BuildPackage,prometheus-node-exporter-lua-textfile))
 $(eval $(call BuildPackage,prometheus-node-exporter-lua-uci_dhcp_host))
 $(eval $(call BuildPackage,prometheus-node-exporter-lua-wifi))
 $(eval $(call BuildPackage,prometheus-node-exporter-lua-wifi_stations))
+$(eval $(call BuildPackage,prometheus-node-exporter-lua-snmp6))
diff --git a/utils/prometheus-node-exporter-lua/files/usr/lib/lua/prometheus-collectors/snmp6.lua b/utils/prometheus-node-exporter-lua/files/usr/lib/lua/prometheus-collectors/snmp6.lua
new file mode 100644 (file)
index 0000000..663d1b5
--- /dev/null
@@ -0,0 +1,39 @@
+local ubus = require "ubus"
+
+local function get_devices() -- based on hostapd_stations.lua
+    local u = ubus.connect()
+    local status = u:call("network.device", "status", {})
+    local devices = {}
+
+    for dev, dev_table in pairs(status) do
+        table.insert(devices, dev)
+    end
+    return devices
+end
+
+local function get_metric(device)
+    local label = {
+        device = device
+      }
+      
+    if device == "all" then
+        for e in io.lines("/proc/net/snmp6") do
+            local snmp6 = space_split(e)
+            metric("snmp6_" .. snmp6[1], "counter", label, tonumber(snmp6[2]))
+        end
+    else
+        for e in io.lines("/proc/net/dev_snmp6/" .. device) do
+            local snmp6 = space_split(e)
+            metric("snmp6_" .. snmp6[1], "counter", label, tonumber(snmp6[2]))
+        end
+    end
+end
+
+local function scrape()
+    get_metric("all")
+    for _, devicename in ipairs(get_devices()) do
+        get_metric(devicename)
+    end
+end
+
+return { scrape = scrape }
index fc333612c83060cd3cb72b17d7628d4482d968ae..289b2d1241a137d0ab178e6ace8701d544eeebb7 100644 (file)
@@ -8,7 +8,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=rpcd-mod-lxc
-PKG_RELEASE=20171206
+PKG_RELEASE=20201208
 
 PKG_LICENSE:=ISC
 
@@ -34,4 +34,9 @@ define Package/rpcd-mod-lxc/install
        $(INSTALL_BIN) $(PKG_BUILD_DIR)/lib/lxc.so $(1)/usr/lib/rpcd/
 endef
 
+define Package/rpcd-mod-lxc/postinst
+#!/bin/sh
+[ -n "$$IPKG_INSTROOT" ] || /etc/init.d/rpcd reload
+endef
+
 $(eval $(call BuildPackage,rpcd-mod-lxc))